Bug 114819 - Packaging: parted should not own /usr/lib/python2.3/site-packages
Packaging: parted should not own /usr/lib/python2.3/site-packages
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-02 23:29 EST by Michel Alexandre Salim
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-03 13:21:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2004-02-02 23:29:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040115 Epiphany/1.0.7

Description of problem:
Parted currently owns /usr/lib/python2.3/site-packages, which is also
owned by python. A user may choose to remove parted from his/her
system, and rpm would then try (unnecessarily) to remove said directory.

Granted, should the user uninstall all Python packages from the
system, if parted is then removed the directory would be left behind,
but this seems even more unlikely than the first scenario.


Version-Release number of selected component (if applicable):
parted-1.6.3-32

How reproducible:
Always

Steps to Reproduce:
1. rpm -ql parted


Actual Results:  /usr/lib/python2.3/site-packages listed as owned by
parted

Expected Results:  It should not be

Additional info:
Comment 1 Jeremy Katz 2004-02-03 13:21:59 EST
No, other packages will have an ownership on the directory as well and
thus keep it from getting removed.  But parted needs to own it so that
if it's installed when python isn't, the directory will get removed
when you remove the parted package.  

Note You need to log in before you can comment on or make changes to this bug.